import request from '@/utils/request'

// 查询题库主列表
export function listQuestionBank(query) {
  return request({
    url: '/school-paper/questionBank/list',
    method: 'get',
    params: query
  })
}

// 查询题库主详细
export function getQuestionBank(id) {
  return request({
    url: '/school-paper/questionBank/' + id,
    method: 'get'
  })
}

// 新增题库主
export function addQuestionBank(data) {
  return request({
    url: '/school-paper/questionBank',
    method: 'post',
    data: data
  })
}

// 修改题库主
export function updateQuestionBank(data) {
  return request({
    url: '/school-paper/questionBank',
    method: 'put',
    data: data
  })
}

// 删除题库主
export function delQuestionBank(id) {
  return request({
    url: '/school-paper/questionBank/' + id,
    method: 'delete'
  })
}
